Foxit PDF SDK

Public Member Functions | List of all members
foxit.addon.xfa.XFAPage Class Reference
Inheritance diagram for foxit.addon.xfa.XFAPage:

## Public Member Functions
| XFAPage (XFAPage other)
| Constructor, with another XFA page object. More...
Matrix2D | GetDisplayMatrix (int left, int top, int width, int height, Rotation rotate)
| Get the display matrix, from PDF coordinate system to targeted device coordinate system. More...
XFAWidget | GetFirstWidget ()
| Get the first XFA widget in current tab order. More...
float | GetHeight ()
| Get the height of the XFA page. More...
int | GetIndex ()
| Get index of the XFA page. More...
XFAWidget | GetLastWidget ()
| Get the last XFA widget in current tab order. More...
XFAWidget | GetNextWidget (XFAWidget widget)
| Get the next XFA widget of a specified XFA widget in current tab order. More...
XFAWidget | GetPrevWidget (XFAWidget widget)
| Get the previous XFA widget of a specified XFA widget in current tab order. More...
XFAWidget | GetWidget (int widget_index)
| Get XFA widget by index. More...
XFAWidget | GetWidgetAtDevicePoint (Matrix2D matrix, PointF device_point, float tolerance)
| Get the XFA widget at a specified point, in device coordinate system. More...
XFAWidget | GetWidgetByFullName (string full_name)
| Get the XFA widget which matches the specified full name in current XFA page. More...
int | GetWidgetCount ()
| Get the count of XFA widget. More...
float | GetWidth ()
| Get the width. More...
bool | IsEmpty ()
| Check whether current object is empty or not. More...

## Detailed Description

Class XFAPage represents the XFA page which is retrieved from XFA document object.
To render an XFA page, please use function common.Renderer.StartRenderXFAPage .

See also
  foxit.common.Renderer

## Constructor & Destructor Documentation

## ◆ XFAPage()

foxit.addon.xfa.XFAPage.XFAPage | ( | XFAPage | other | ) |
| inline

Constructor, with another XFA page object.

Parameters

  [in] | other | Another XFA page object.

## Member Function Documentation

## ◆ GetDisplayMatrix()

Matrix2D foxit.addon.xfa.XFAPage.GetDisplayMatrix | ( | int | left,
|  | int | top,
|  | int | width,
|  | int | height,
|  | Rotation | rotate
| ) |  |
| inline

Get the display matrix, from PDF coordinate system to targeted device coordinate system.

Parameters

  [in] | left | Left position of the transformation area in device coordinate system, commonly in pixels.
  [in] | top | Top position of the transformation area in device coordinate system, commonly in pixels.
  [in] | width | Width of the transformation area in device coordinate system, commonly in pixels.
  [in] | height | Height of the transformation area in device coordinate system, commonly in pixels.
  [in] | rotate | Rotation value. Please refer to values starting from foxit.common.Rotation.e_Rotation0 and this should be one of these values.

Returns
  A Matrix object that receives the display matrix used for current XFA page. If there is any error, a Matrix with all value 0 will be returned.

## ◆ GetFirstWidget()

XFAWidget foxit.addon.xfa.XFAPage.GetFirstWidget | ( |  | ) |
| inline

Get the first XFA widget in current tab order.

Returns
  The first XFA widget. If the return value of function XFAWidget.IsEmpty for the returned XFA widget object is true, that means there is no XFA widget.

## ◆ GetHeight()

float foxit.addon.xfa.XFAPage.GetHeight | ( |  | ) |
| inline

Get the height of the XFA page.

Returns
  A float value that receives the height of current XFA page.

## ◆ GetIndex()

int foxit.addon.xfa.XFAPage.GetIndex | ( |  | ) |
| inline

Get index of the XFA page.

Returns
  The index of XFA page.

## ◆ GetLastWidget()

XFAWidget foxit.addon.xfa.XFAPage.GetLastWidget | ( |  | ) |
| inline

Get the last XFA widget in current tab order.

Returns
  The last XFA widget. If the return value of function XFAWidget.IsEmpty for the returned XFA widget object is true, that means there is no XFA widget.

## ◆ GetNextWidget()

XFAWidget foxit.addon.xfa.XFAPage.GetNextWidget | ( | XFAWidget | widget | ) |
| inline

Get the next XFA widget of a specified XFA widget in current tab order.

Parameters

  [in] | widget | A valid specified XFA widget.

Returns
  The next XFA widget. If the return value of function XFAWidget.IsEmpty for the returned XFA widget object is true, that means the specified XFA widget is the last XFA widget in current tab order.

## ◆ GetPrevWidget()

XFAWidget foxit.addon.xfa.XFAPage.GetPrevWidget | ( | XFAWidget | widget | ) |
| inline

Get the previous XFA widget of a specified XFA widget in current tab order.

Parameters

  [in] | widget | A valid specified XFA widget.

Returns
  The previous XFA widget. If the return value of function XFAWidget.IsEmpty for the returned XFA widget object is true, that means the specified XFA widget is the previous XFA widget in current tab order.

## ◆ GetWidget()

XFAWidget foxit.addon.xfa.XFAPage.GetWidget | ( | int | widget_index | ) |
| inline

Get XFA widget by index.

Parameters

  [in] | widget_index | The XFA widget index. Valid range: from 0 to (count-1). count is returned by function XFAPage.GetWidgetCount .

Returns
  The XFA widget.

## ◆ GetWidgetAtDevicePoint()

XFAWidget foxit.addon.xfa.XFAPage.GetWidgetAtDevicePoint | ( | Matrix2D | matrix,
|  | PointF | device_point,
|  | float | tolerance
| ) |  |
| inline

Get the XFA widget at a specified point, in device coordinate system.

Parameters

  [in] | matrix | The transformation matrix. Usually this is returned by function XFAPage.GetDisplayMatrix .
  [in] | device_point | A point in device coordinate system.
  [in] | tolerance | Tolerance value. Valid range: 0.0f to 30.0f.

Returns
  An XFA Widget object.

## ◆ GetWidgetByFullName()

XFAWidget foxit.addon.xfa.XFAPage.GetWidgetByFullName | ( | string | full_name | ) |
| inline

Get the XFA widget which matches the specified full name in current XFA page.

Parameters

  [in] | full_name | An XFA widget's full name. It should not be an empty string. XFA widget's full name can be retrieved by function XFAWidget.GetName with type foxit.addon.xfa.XFAWidget.WidgetNameType.e_WidgetNameTypeFullName in previous process.

Returns
  An XFA Widget object.

## ◆ GetWidgetCount()

int foxit.addon.xfa.XFAPage.GetWidgetCount | ( |  | ) |
| inline

Get the count of XFA widget.

Returns
  The count of XFA widget.

## ◆ GetWidth()

float foxit.addon.xfa.XFAPage.GetWidth | ( |  | ) |
| inline

Get the width.

Returns
  A float value that receives the width of current XFA page.

## ◆ IsEmpty()

bool foxit.addon.xfa.XFAPage.IsEmpty | ( |  | ) |
| inline

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.